package com.mygdx.game;

public class Mob extends Actor {
    private int countAnim;
    private int maxAnim;

    Mob(MyGdxGame game, float x, float y, String filename) {
        super(game, x, y, filename);
        direction = game.rand.nextInt(4);
        maxAnim = game.rand.nextInt(20) + 5;
    }

    @Override
    void execute() {
        countAnim++;
        if (countAnim >= maxAnim) {
            countAnim = 0;
            direction = game.rand.nextInt(4);
            maxAnim = game.rand.nextInt(20) + 5;
        } else {
            moved = false;
            if (direction == DOWN) {
                y -= SPEED;
                moved = true;
            } else if (direction == UP) {
                y += SPEED;
                moved = true;
            } else if (direction == RIGHT) {
                x += SPEED;
                moved = true;
            } else if (direction == LEFT) {
                x -= SPEED;
                moved = true;
            }
            count++;
            if (count >= maxCount) {
                count = 0;
                if (moved) step = (step == 0) ? 1 : 0;
            }
            int w = (int) img.getWidth();
            int h = (int) img.getHeight();

            if (x < 0) x = 0;
            if (x > game.W - w) x = game.W - w;
            if (y < 0) y = 0;
            if (y > game.H - h) y = game.H - h;
        }
    }
}

