package com.mygdx.game;

import com.badlogic.gdx.ApplicationAdapter;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class MyGdxGame extends ApplicationAdapter {
    public float H, W;
    public Random rand;
    private SpriteBatch batch;
    private List<Actor> mob = new ArrayList<Actor>();
    private int size = 10000;

    @Override
    public void create() {
        rand = new Random();
        W = Gdx.graphics.getWidth();
        H = Gdx.graphics.getHeight();
        batch = new SpriteBatch();
        mob.add(new Actor(this, 100, 100, "avatar"));
        for (int i = 0; i < size; i++) {
            mob.add(new Mob(this, rand.nextInt((int) W), (int) H, "cyclope"));
        }
    }

    private void execute() {
        for (Actor m : mob) m.execute();
    }

    @Override
    public void render() {
        execute();
        Gdx.gl.glClearColor(0, 0.5f, 0, 1);
        Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
        batch.begin();
        for (Actor m : mob) m.draw(batch);
        batch.end();
    }

    @Override
    public void dispose() {
        batch.dispose();
        for (Actor m : mob) m.dispose();
    }
}

